Delete a workflow

Server: https://{kibana_url}
  • DELETE /api/workflows/workflow/{id}
  • DELETE /s/{space_id}/api/workflows/workflow/{id}

Refer to Spaces for more information.

Delete a single workflow by its ID.

[Required authorization] Route required privileges: workflowsManagement:delete.

Path Parameters

id string required

Workflow ID

Query Parameters

force boolean · default: false

When true, permanently deletes the workflow (hard delete) instead of soft-deleting it. The workflow ID becomes available for reuse.

Response

200

Indicates a successful response